# approval.resolved

HTML: https://www.app2email.com/docs/api/webhooks/approval.resolved · Index: https://www.app2email.com/docs/api/llms.txt

A held send was approved (and sent), rejected, or expired.

Group: Approvals. Header `X-App2email-Event: approval.resolved`. Inside the envelope `{id, type, created, number, test?, data}` ([envelope, headers, signature](https://www.app2email.com/docs/api/webhooks.md)). Every webhook of the number gets every number event: filter by `type`.

## data

| Field | Type | Required | Notes |
| --- | --- | --- | --- |
| `data.approval_id` | string | yes |  |
| `data.status` | string | yes | one of: `approved`, `rejected`, `expired` |
| `data.resolved_by` | string |  |  |
| `data.result` | object |  |  |
| `data.result.http_status` | integer |  |  |
| `data.result.status` | string |  |  |
| `data.result.accepted` | integer |  |  |
| `data.result.failed` | integer |  |  |
| `data.result.broadcast_code` | string |  |  |
| `data.timestamp` | string |  |  |

## Samples

### approved

```json
{
  "id": "evt_Xq3k9m2Lw8Rt5Yp1Zs01",
  "type": "approval.resolved",
  "created": "2026-11-06T01:00:00.000Z",
  "number": "4976659348270",
  "data": {
    "approval_id": "apr_a1b2c3d4e5f6g7h8",
    "status": "approved",
    "resolved_by": "dashboard",
    "result": {
      "http_status": 202,
      "status": "accepted",
      "accepted": 250,
      "failed": 0,
      "broadcast_code": "k3XbQ9rTzP2mWv7a1c9e"
    },
    "timestamp": "2026-11-06T01:00:00.000Z"
  }
}
```

## Caused by

- [Approve a held send: it is sent now](https://www.app2email.com/docs/api/approvals/approve-send.md): `POST /v1/{number}/approvals/{id}/approve`
- [Reject a held send: nothing is sent](https://www.app2email.com/docs/api/approvals/reject-send.md): `POST /v1/{number}/approvals/{id}/reject`

Send it to your URL: https://www.app2email.com/docs/api/webhooks/tester?type=approval.resolved
